Routestripe API
MainKnowledge BaseSupport CentreAPI Reference
MainKnowledge BaseSupport CentreAPI Reference
  1. Routes
  • Introduction
    • What Is RouteStripe
    • Quick Start Guide
    • API Parameters
  • Default module
    • Get optimized locations
      POST
  • Management API
    • Visits
      • Store Visit
      • Update Visit by field
      • Get Visit
      • Get Visits
      • Delete Visit
    • Attachments
      • Store Attachment
      • Get Attachments
      • Get Attachment Image
      • Delete Attachment
    • Warehouses
      • Store Warehouse
      • Update Warehouse by field
      • Get Warehouse
      • Get Warehouses
      • Delete Warehouse
    • Vehicles
      • Store Vehicle
      • Update Vehicle by field
      • Get Vehicle
      • Get Vehicles
      • Delete Vehicle
    • Members
      • Store Member
      • Update Member by field
      • Get Member
      • Get Members
      • Delete Member
    • Plans
      • Store Plan
      • Update Plan by field
      • Get Plan
      • Get Plans.
      • Delete Plan
    • Routes
      • Store Route
        POST
      • Update Route by field
        POST
      • Get Route
        GET
      • Get Routes
        GET
      • Delete Route
        DELETE
    • Companies
      • Get Company
      • Update Company by field
    • Countries
      • Get Countries
  • Webhooks
    • Webhooks & Real-time Updates
  1. Routes

Get Routes

GET
https://api.routestripe.com/routing-route/list
Routes
Get Routes,
One of next options:
by plan_id and optional filter by status
by company_id and service_date and optional filter by status

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Query Params

Responses

🟢200OK
application/json
List of routes.
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.routestripe.com/routing-route/list?plan_id=undefined&company_id=undefined&service_date=2025-09-17&status=2' \
--header 'api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "status": "success",
    "data": {
        "property1": {
            "id": 0,
            "updated_at": "2019-08-24T14:15:22.123Z",
            "created_at": "2019-08-24T14:15:22.123Z",
            "vehicle_id": 106,
            "driver_id": 0,
            "query_id": 0,
            "warehouse_id": 110,
            "plan_id": 142,
            "position": 1,
            "status": 1,
            "is_locked": 0,
            "start_location_type": "W",
            "start_location_lng": 30.516586,
            "start_location_lat": 50.043529,
            "start_location_address": "",
            "end_location_type": "N",
            "end_location_lng": 30.516586,
            "end_location_lat": 50.043529,
            "end_location_address": "",
            "vehicle_settings": "{\"work_hour_start\":\"08:00\",\"work_hour_end\":\"18:00\",\"has_breaks\":0,\"speed_factor\":\"1.0\",\"max_distance\":0,\"overtime\":0,\"break_duration\":0}",
            "statistic_overdue_time": 0,
            "statistic_out_of_turn": 0
        }
    }
}
Modified at 2026-04-01 12:16:45
Previous
Get Route
Next
Delete Route
Built with